CREATE TABLE IF NOT EXISTS AUTH_OAUTH2_CLIENTS (
            CLIENT_ID VARCHAR(256),
            CLIENT_SECRET VARCHAR(512),
            REDIRECT_URI VARCHAR(1024) DEFAULT NULL,
            PRIMARY KEY (CLIENT_ID)
);

CREATE TABLE IF NOT EXISTS AUTH_OAUTH2_AUTHORIZATION_CODE (
            CODE_ID INTEGER NOT NULL AUTO_INCREMENT,
            CLIENT_ID VARCHAR(256),
            AUTHORIZATION_CODE VARCHAR(512),
            REDIRECT_URI VARCHAR(1024) DEFAULT NULL,
            SCOPE VARCHAR(2048),
            PRIMARY KEY (CODE_ID)
);

CREATE TABLE IF NOT EXISTS AUTH_OAUTH2_APPLICATION (
            ID INTEGER NOT NULL AUTO_INCREMENT,
            CLIENT_ID VARCHAR(255),
            CLIENT_SECRET VARCHAR(512),
            APP_NAME VARCHAR(255),
            OAUTH_VERSION VARCHAR(128),
            REDIRECT_URI VARCHAR(1024) DEFAULT NULL,
            GRANT_TYPES VARCHAR (1024) DEFAULT NULL,
            APP_STATE VARCHAR (25) DEFAULT 'ACTIVE',
            USER_ACCESS_TOKEN_EXPIRE_TIME BIGINT DEFAULT 3600000,
            APP_ACCESS_TOKEN_EXPIRE_TIME BIGINT DEFAULT 3600000,
            REFRESH_TOKEN_EXPIRE_TIME BIGINT DEFAULT 84600000,
            CONSTRAINT CLIENT_CONSTRAINT UNIQUE (CLIENT_ID, CLIENT_SECRET),
            PRIMARY KEY (ID)
);

CREATE TABLE IF NOT EXISTS AUTH_ACCESS_TOKEN (
            ID INTEGER NOT NULL AUTO_INCREMENT,
            ACCESS_TOKEN VARCHAR(255),
            REFRESH_TOKEN VARCHAR(512),
            CONSUMER_KEY_ID VARCHAR(255),
            AUTHZ_USER VARCHAR(128),
            TIME_CREATED VARCHAR(1024) DEFAULT NULL,
            REFRESH_TOKEN_TIME_CREATED VARCHAR (1024) DEFAULT NULL,
            VALIDITY_PERIOD BIGINT,
            REFRESH_TOKEN_VALIDITY_PERIOD BIGINT,
            TOKEN_SCOPE_HASH VARCHAR(128),
            TOKEN_STATE VARCHAR(25) DEFAULT 'ACTIVE',
            USER_TYPE VARCHAR(128),
            TOKEN_ID BIGINT,
            GRANT_TYPE VARCHAR(128),
            CONSTRAINT TOKEN_CONSTRAINT UNIQUE (ACCESS_TOKEN),
            PRIMARY KEY (ID)
);
